<?php

$db_address = ( $_SERVER[ 'HTTP_HOST' ] == 'localhost' ) ? 'localhost' : '10.10.10.169';
$db_username = 'barlemshake';
$db_password = 'rnEKY8zSjKpmKLKx';
$db_database = 'barlemshake';

// Insert new video
if ( isset( $_GET[ 's' ] ) ) {
	$id   = (int) $_GET[ 'i' ];
	$slug = $_GET[ 's' ];
	$file = $_GET[ 'f' ];

	$mysqli = new mysqli( $db_address , $db_username , $db_password , $db_database );
	if ( ! $mysqli->connect_errno ) {
		if ( $stmt = $mysqli->prepare( "INSERT INTO videos (id,slug,file,ytstart) VALUES (?,?,?,now())" ) ) {
			$stmt->bind_param( 'iss' , $id , $slug , $file );
			if ( $stmt->execute() ) {
				$stmtr = $stmt->affected_rows;
			} else {
				error_log( "Unable to insert record $id : file $file, slug $slug" );
			}
			$stmt->close();
		}
		$mysqli->close();
	} else {
		error_log( "Unable to connect to DB..." );
	}

} // Update video with youtube
else if ( isset( $_GET[ 'y' ] ) ) {
	$id   = (int) $_GET[ 'i' ];
	$ytid = $_GET[ 'y' ];

	$mysqli = new mysqli( $db_address , $db_username , $db_password , $db_database );
	if ( ! $mysqli->connect_errno ) {
		if ( $stmt = $mysqli->prepare( "UPDATE videos SET ytstop=now(), ytid=? WHERE id=?" ) ) {
			$stmt->bind_param( 'si' , $ytid , $id );
			if ( $stmt->execute() ) {
				$stmtr = $stmt->affected_rows;
			} else {
				error_log( "Unable to update record $id : YT $ytid" );
			}
			$stmt->close();
		}
		$mysqli->close();
	} else {
		error_log( "Unable to connect to DB..." );
	}


} // Check if we already have an id and then jump to youtube
else if ( isset( $_GET[ 'i' ] ) ) {
	$id = (int) $_GET[ 'i' ];

	$mysqli = new mysqli( $db_address , $db_username , $db_password , $db_database );
	if ( ! $mysqli->connect_errno ) {

		$stmt = $mysqli->prepare( "SELECT ytid FROM videos WHERE id=?" );
		$stmt->bind_param( 'i' , $id );
		$stmt->bind_result( $ytid );
		$stmt->execute();
		while ( $stmt->fetch() ) {
			if ( strlen( $ytid ) > 2 ) {
				$stmt->close();
				$mysqli->close();
				header( "Location: http://youtu.be/$ytid" );
				die();
			}
		}
		$stmt->close();
		$mysqli->close();
	} else {
		error_log( "Unable to connect to DB..." );
	}
}

?>
<!DOCTYPE html>
<!--[if lt IE 7]>
<html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>
<html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>
<html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!-->
<html class="no-js"> <!--<![endif]-->
<head>
	<meta charset="utf-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
	<meta name="description" content="" />
	<meta name="viewport" content="width=550,user-scalable=no" />
	<meta name="apple-mobile-web-app-capable" content="yes" />
	<title>Barlem Shake</title>
	<link rel="apple-touch-icon-precomposed" sizes="144x144" href="apple-touch-icon-144x144-precomposed.png" />
	<link rel="apple-touch-icon-precomposed" sizes="114x114" href="apple-touch-icon-114x114-precomposed.png" />
	<link rel="apple-touch-icon-precomposed" sizes="72x72" href="apple-touch-icon-72x72-precomposed.png" />
	<link rel="apple-touch-icon-precomposed" href="apple-touch-icon-57x57-precomposed.png" />
	<link rel="shortcut icon" href="favicon.ico" />
	<link href="css/bootstrap.css" rel="stylesheet" />
	<link href="css/bootstrap-responsive.css" rel="stylesheet" />
	<script src="js/vendor/modernizr-2.6.2-respond-1.1.0.min.js"></script>
	<script src="js/vendor/fastclick.js"></script>
	<!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
	<!--[if lt IE 9]>
	<script src="js/vendor/html5shiv.js"></script>
	<![endif]-->
	<style>
		body {
			background-color: #163e5b;
			color: #4ec0db;
		}

		.container {
			padding-top: 10px;
		}

		#notavailable {
			font-size: 40px;
			line-height: 40px;
		}

		i {
			color: #dc3981;
			font-style: normal;
		}

		a {
			text-decoration: none;
		}

		a:hover {
			color: #dc3981;
			text-decoration: none;
		}

		a:hover i {
			color: #4ec0db;
		}

	</style>
</head>
<body>

<!--[if lt IE 7]>
<p class="chromeframe">You are using an <strong>outdated</strong> browser. Please
	<a href="http://browsehappy.com/">upgrade your browser</a> or
	<a href="http://www.google.com/chromeframe/?redirect=true">activate Google Chrome Frame</a> to improve your experience.
</p>
<![endif]-->

<div class="container">
	<?php

	// Video is not available on youtube
	if ( isset( $_GET[ 'i' ] ) ) {
		echo '<center><a href="' . $_SERVER[ 'REQUEST_URI' ] . '"><img src="s.png"/>';
		echo '<div id="notavailable">';
		echo "Votre video n'est pas encore sur YouTube.<br/><br/>Vous pouvez <i>rafraichir la page dans quelques instants</i> en cliquant n'importe où.<br/><br/>Vous serez redirigé sur YouTube <i>dès que votre vidéo sera disponible</i>.";
		echo '</div></a></center>';

	} // List all videos
	else {

		echo '<table class="table table-striped table-bordered table-hover table-condensed">';
		echo '<tr><th>ID</th><th>Date</th><th>Youtube ID</th></tr>';

		$mysqli = new mysqli( $db_address , $db_username , $db_password , $db_database );
		if ( ! $mysqli->connect_errno ) {

			$stmt = $mysqli->prepare( "SELECT id,ytstart,ytid FROM videos ORDER BY ytstart DESC" );
			$stmt->bind_result( $id , $ytstart , $ytid );
			$stmt->execute();
			while ( $stmt->fetch() ) {
				//$time = strtotime( $row[ "ytstop" ] )
				echo '<tr class="';
				echo ( $ytid == '' ) ? 'error' : '';
				echo '">';
				echo '<td>' . $id . '</td>';
				echo '<td>' . $ytstart . '</td>';
				echo '<td><a href="http://youtu.be/' . $ytid . '">' . $ytid . '</a></td>';
				echo '</tr>';

			}
			$stmt->close();
			$mysqli->close();
		}

	}








	?>
</div>

<script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script>window.jQuery || document.write( '<script src="js/vendor/jquery-1.9.1.min.js"><\/script>' )</script>
<script src="js/vendor/bootstrap.min.js"></script>
<script>
	window.addEventListener( "load" , function () {
		setTimeout( function () {
			window.scrollTo( 0 , 1 );
		} , 0 );
	} );
</script>
</body>
</html>
