<?php
$recompute = false;

try {
	foreach ( scandir( '.' ) as $file ) {
		if ( substr( $file , - 7 , 7 ) == '_on.png' ) {
			$icon     = substr( $file , 0 , - 7 );
			$icon_on  = $icon . '_on.png';
			$icon_off = $icon . '_off.png';
			$icon_bg  = $icon . '.png';

			if ( file_exists( $icon_off ) ) {

				if ( ( $recompute == true ) || ( ! file_exists( $icon_bg ) ) ) {
					// Image -> Init
					$image = new Imagick();
					$image->newImage( 220 , 110 , 'transparent' );

					// Logo -> Scale and add
					$off = new Imagick( $icon_off );
					$on  = new Imagick( $icon_on );
					$image->compositeImage( $off , imagick::COMPOSITE_DEFAULT , 0 , 0 );
					$image->compositeImage( $on , imagick::COMPOSITE_DEFAULT , 110 , 0 );
					$image->setImageFormat( 'png' );
					$image->writeimage( $icon_bg );

					echo "Write " . $icon_bg . "\n";
				} else {
					echo "Skip " . $icon_bg . "\n";
				}
			}
			else {
				echo "Error : " . $icon_off . " does not exist\n";

			}
		}
	}
} catch ( Exception $e ) {
	echo $e->getMessage();
}
